function [alpha] = clippingProtection(L, Lf, bl, bh)
%clippingProtection calculates a blending mask with low, or even zero, values
%in areas of extreme highlights and shadows appearing in input images.
%
%Synopsis
%  alpha = clippingProtection(L, Lf, bl, bh)
%
%Arguments
%  alpha        calculated blending mask, data type single, values range 0 to 1
%  L            fisrt input image, data type single, values range 0 to 100
%  Lf           second input image, data type single, values range 0 to 100
%  bl           beginning of highlits/shadows to midtones transision area
%  bh           end of highlits/shadows to midtones transision area

  % TODO calculate clipping protection mask
  alpha = ones(size(L), 'single');
end
